flatpak (1.16.6-1) unstable; urgency=high

  * New upstream stable release
    - Incorporates the patches from the previous upload, plus
      additional bugfixes
  * Drop patches that were included in the new upstream release

 -- Simon McVittie <smcv@debian.org>  Fri, 10 Apr 2026 19:06:41 +0100

flatpak (1.16.5-1) unstable; urgency=high

  * New upstream release fixing some of the regressions in 1.16.4
    (Closes: #1132960, #1132968)
  * Drop patches that were applied upstream
  * d/p/utils-Add-flatpak_set_cloexec.patch,
    d/p/run-context-Mark-fd-arguments-as-close-on-exec.patch:
    Add proposed patches to fix another regression in 1.16.4 for
    Chromium-based browsers
    (Closes: #1132968)
  * d/p/run-Cope-with-an-empty-runtime.patch,
    d/p/dir-In-apply_extra_data-don-t-assume-there-is-always-a-ru.patch:
    Add proposed patches to fix regression in 1.16.4 when installing
    apps/runtimes/extensions that use a statically-linked extra-data helper
  * d/p/utils-Move-flatpak_get_path_for_fd-to-here.patch,
    d/p/portal-Avoid-crash-if-sandbox-expose-ro-fd-is-out-of-rang.patch,
    d/p/portal-Log-and-ignore-unusable-sandbox-expose-fds-instead.patch,
    d/p/portal-Reinstate-flatpak_get_path_for_fd-checks.patch:
    Add proposed patches to fix regression in 1.16.4 for Epiphany and
    possibly other WebKitGTK-based apps
  * d/p/libtest-Allow-adding-a-new-ref-to-an-existing-temporary-o.patch:
    Add proposed patch to fix autopkgtest failure

 -- Simon McVittie <smcv@debian.org>  Fri, 10 Apr 2026 12:47:08 +0100

flatpak (1.16.4-2) unstable; urgency=medium

  * d/p/run-Fix-checking-wrong-variable-in-runtime-fd-selection.patch,
    d/p/run-Mount-original-app-on-run-parent-app-when-using-app-p.patch:
    Add proposed patches fixing regression for unofficial Steam Flatpak app
    (Closes: #1132960)
  * Mention Debian bug numbers in previous changelog entry

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Apr 2026 10:55:53 +0100

flatpak (1.16.4-1) unstable; urgency=high

  * New upstream security release
    - Fix a sandbox escape involving symlinks passed to flatpak-portal.
      A malicious or compromised Flatpak app could exploit this to achieve
      arbitrary code execution on the host.
      (CVE-2026-34078, GHSA-cc2q-qc34-jprg) (Closes: #1132943)
    - Prevent arbitrary file deletion outside the sandbox by a malicious or
      compromised Flatpak app
      (CVE-2026-34079, GHSA-p29x-r292-46pp) (Closes: #1132944)
    - Prevent a local user from reading any file that is readable by the
      _flatpak system user. A mitigation is that it would be very unusual
      for these files not to be readable by the original local user as well.
      (No CVE ID, GHSA-2fxp-43j9-pwvc) (Closes: #1132946)
    - Prevent a local user from making another local user unable to cancel
      an ongoing download of apps or runtimes installed system-wide
      via the system helper.
      (No CVE ID, GHSA-89xm-3m96-w3jg) (Closes: #1132945)

 -- Simon McVittie <smcv@debian.org>  Tue, 07 Apr 2026 22:14:56 +0100

flatpak (1.16.3-1) unstable; urgency=medium

  * New upstream stable release
    - In flatpak-build(1), only provide /run/host/font-dirs.xml if the
      calling process has not already added it, fixing a regression for
      users of GNOME Builder and Foundry (flatpak#6450 upstream)
  * Standards-Version: 4.7.3
    - Remove Priority: optional, unnecessary since Debian 13
  * d/watch: Convert to v5 format
  * d/watch: Only watch stable (even-numbered) releases
    - d/watch.devel: Add a second watch file for development
      (odd-numbered) releases

 -- Simon McVittie <smcv@debian.org>  Sat, 24 Jan 2026 16:05:24 +0000

flatpak (1.16.2-1) unstable; urgency=medium

  * New upstream stable release
    - Fix a memory leak in flatpak-session-helper when invoking host
      commands (flatpak-spawn --host) from privileged apps
      (Closes: #1114484)
    - Treat either the xe or i915 kernel module as indicating an Intel GPU,
      not just i915, and install the appropriate VA-API extensions
    - If using GLib 2.86.1 (specifically that version due to a regression
      that was later fixed), avoid exposing $HOME to apps if an XDG special
      directory such as Music is requested by the app but has been disabled
      locally
    - In flatpak-kill(1), make killing processes more robust, and avoid race
      conditions that could lead to the whole process group being killed
    - Allow `flatpak run` or `flatpak install --user` while under
      `sudo -u otheruser` or `sudo -g`, as long as the other user is not root,
      relaxing a check that was only intended to avoid accidents involving
      running as root
    - Provide an empty /run/host/font-dirs.xml during flatpak-build(1),
      avoiding spurious warnings for processes that use fontconfig during
      build-time tests
    - Fix a crash in `flatpak install --include-sdk` if the app is installed
      on a per-user basis but the corresponding SDK is already installed
      system-wide
    - Take the --reinstall option into account when installing a bundle
    - Add a missing argument to fcntl F_DUPFD_CLOEXEC during Flatpak's own
      build-time tests, fixing a test regression with newer glibc on Ubuntu
    - Fix flatpak-pin(1)/flatpak-mask(1) with multiple arguments, by
      reloading configuration when needed
    - Fix an assertion failure in flatpak-build-import-bundle(1)
    - When using the library API, allow http downloads with libcurl to be
      cancelled
    - If an OCI registry only has one image, allow the tag to be omitted
    - Fix a memory leak when using an OCI registry
    - Fix an uninitialized variable
    - Documentation improvements
    - Translation updates: pl
  * d/libflatpak-doc.install:
    Install single-file HTML documentation for the library.
    This was built by Autotools in 1.14.x and disappeared during the switch
    to Meson, but is now built again as a result of upstream fixes.

 -- Simon McVittie <smcv@debian.org>  Fri, 19 Dec 2025 11:38:19 +0000

flatpak (1.16.1-3) unstable; urgency=medium

  * Fix <!nocheck> builds (Closes: #1116737)
    - d/control: Remove <!nocheck> annotation from fuse3.
      This is required unconditionally (even if not running tests)
      since 1.15.7 upstream, so that the build system can autodetect
      the distro's appropriate path to fusermount3 or fusermount.
    - d/control, d/rules: Tighten up handling of nocheck and noinsttest.
      The upstream build system checks for some programs that are required
      during testing whenever the tests are compiled. If we are under both
      the nocheck and noinsttest build profiles, don't compile the tests,
      so that pkcheck and socat won't be needed in that configuration;
      and otherwise, we need them in Build-Depends.
  * d/control: Remove Rules-Requires-Root, no longer needed since trixie
  * Normalize formatting with debputy

 -- Simon McVittie <smcv@debian.org>  Tue, 30 Sep 2025 17:11:16 +0100

flatpak (1.16.1-2) unstable; urgency=medium

  * d/copyright: Point to GNU web address instead of old FSF postal address
  * d/copyright: Clarify possible interpretations of LGPL-2
  * Stop build-depending on libgirepository1.0-dev.
    Build-depend on gobject-introspection (>= 1.80) instead.
    libgirepository1.0-dev is not multiarch-compatible and should be removed
    during the forky cycle.
  * d/control: Only require gtk-doc-tools, etc. if we are building documentation
  * Prefer the OpenSSL flavour of libcurl.
    This is the one that upstream is going to be testing with in practice.

 -- Simon McVittie <smcv@debian.org>  Thu, 14 Aug 2025 22:18:17 +0100

flatpak (1.16.1-1) unstable; urgency=medium

  * New upstream stable release
    - When using parental controls, child accounts can update existing
      apps by default
    - Make systemd scopes easier to match to Flatpak app instances
    - Access to --device=dri now includes /dev/udmabuf
    - Better error message for invalid parametrs to
      `flatpak-spawn --sandbox-a11y-own-name`
    - Speed up `flatpak prune --dry-run`
    - Speed up `flatpak permission-reset`
    - Add support for authenticating to OCI registries using TLS certs
      in /etc/containers/certs.d
    - Fix intermittent flatpak-portal crashes
    - Avoid an unnecessary confirmation prompt when
      `flatpak remove --unused` cleans up, for example, old Nvidia drivers
    - Don't propagate $PYTHONPYCACHEPREFIX from host into sandbox
    - Don't propagate $WAYLAND_DISPLAY, $WAYLAND_SOCKET from host into
      sandbox when access to the actual socket has been denied
    - Use $AT_SPI_BUS_ADDRESS to discover the AT-SPI bus, if set
    - Fix a memory leak while installing extra-data
    - Don't show fatal transaction errors twice
    - Fix the build with -Ddefault_library=static
    - Fix incorrect error reporting
    - Use more interoperable OSC escape sequences for FLATPAK_TTY_PROGRESS
      (this feature is still off by default)
    - Improve shell completion for `flatpak search`
    - Fix an unclear boolean expression (no functional change)
    - Avoid a duplicate redirection in the test suite
    - Translation updates
    - Documentation improvements
    - CI updates
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 12 May 2025 12:10:10 +0100

flatpak (1.16.0-2) unstable; urgency=medium

  * d/changelog: Fix Ubuntu version information in 1.15.91-1 changelog.
    Ubuntu 22.04 still needed .pkla files, it is only 24.04 that has
    caught up with upstream polkitd.
  * d/flathub.flatpakrepo, d/flatpak.examples:
    Provide the address and GPG key for Flathub
  * d/p/debian/system-helper-Set-Debian-s-canonical-home-directory-for-s.patch:
    Make the home directory from sysusers.d consistent with adduser

 -- Simon McVittie <smcv@debian.org>  Mon, 17 Mar 2025 13:09:49 +0000

flatpak (1.16.0-1) unstable; urgency=medium

  * New upstream stable release
  * d/gbp.conf, d/watch: Track Flatpak 1.16.x for trixie
  * d/test.sh: Set a longer test timeout for non-x86 architectures.
    Some (perhaps all?) of the hppa buildds in Debian Ports are actually
    x86_64 machines emulating hppa with qemu, and the same might in
    principle be true for any other -ports architecture: there is no
    documented way to know this.
    Allowing 3x timeouts on x86 and 20x on other architectures has worked
    well for GLib, so do the same here.

 -- Simon McVittie <smcv@debian.org>  Thu, 09 Jan 2025 19:11:42 +0000

flatpak (1.15.91-1) unstable; urgency=medium

  * New upstream release candidate (1.16.0 rc1)
  * d/p/tests-Install-missing-test-data.patch:
    Drop patch, applied (slightly differently) upstream
  * d/flatpak.install, d/*.pkla:
    Stop installing a policy snippet for policykit-1 (<< 0.106).
    This is no longer necessary since Debian 12 and Ubuntu 24.04.
  * d/watch: Correct a comment for removal of Autotools

 -- Simon McVittie <smcv@debian.org>  Sun, 22 Dec 2024 12:30:56 +0000

flatpak (1.15.12-1) experimental; urgency=medium

  * New upstream development release
  * d/p/tests-Install-missing-test-data.patch:
    Add patch to fix autopkgtest failure
  * d/salsa-ci.yml: Use the currently-recommended recipe
  * Standards-Version: 4.7.0 (no changes required)
  * Merge packaging from unstable
    - d/upstream/metadata: Canonicalize sort order of keys
    - d/upstream/metadata: Add Security-Contact

 -- Simon McVittie <smcv@debian.org>  Thu, 28 Nov 2024 15:50:46 +0000

flatpak (1.15.10-1) experimental; urgency=high

  * New upstream development release
    - Don't follow symbolic links when mounting persistent directories
      (--persist option). This prevents a sandbox escape where a malicious
      or compromised app could edit the symlink to point to a directory
      that the app should not have been allowed to read or write.
      (CVE-2024-42472, GHSA-7hgv-f2j8-xw87)
  * d/control: Bump required bubblewrap version to 0.10.0.
    This adds the new --bind-fd option, required to solve CVE-2024-42472
    without introducing a race condition.

 -- Simon McVittie <smcv@debian.org>  Wed, 14 Aug 2024 11:00:52 +0100

flatpak (1.15.9-1) experimental; urgency=medium

  * New upstream development release
  * Merge packaging from unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Jul 2024 18:28:31 +0100

flatpak (1.15.8-1) experimental; urgency=high

  * New upstream development release
    - Don't allow an executable name to be misinterpreted as a command-line
      option for bwrap(1). This prevents a sandbox escape where a malicious
      or compromised app could ask xdg-desktop-portal to generate a .desktop
      file with access to files outside the sandbox. (CVE-2024-32462)
  * Merge packaging from unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Apr 2024 20:17:44 +0100

flatpak (1.15.7-1) experimental; urgency=medium

  * New upstream development release
  * d/copyright: Update
  * d/flatpak.lintian-overrides: Remove an obsolete Lintian override
  * d/control, d/rules: Activate dh-sequence-gir declaratively
  * d/patches: Add a patch to fix the "as-installed" tests

 -- Simon McVittie <smcv@debian.org>  Wed, 27 Mar 2024 15:35:47 +0000

flatpak (1.15.6-1) experimental; urgency=medium

  * New upstream development release
  * Mention #1033098, #1033099 in previous changelog entry
  * d/control: (Build-)depend on pkgconf in preference to pkg-config
  * Install systemd system unit into /usr/lib/systemd/system.
    This was allowed by TC resolution #1053901.
    Build-depend on debhelper 13.11.6~ to ensure that the unit is still
    picked up by dh_installsystemd.
  * d/test.sh: Disable http proxy if used, to ensure we can reach localhost.
    Some reproducible.org builders set http_proxy, which makes attempts
    to access our temporary http server on localhost fail with a 503 error.
  * d/control: Build-depend on required GIR XML files (Helps: #1030223)
  * d/control: Add ${gir:Depends}, ${gir:Provides} to -dev package
    (Helps: #1030223)
  * d/control: Require bubblewrap 0.8.0
  * d/control: (Build-)depend on Wayland components for new security context
    extension
  * d/flatpak.install: Install new tmpfiles.d snippet
  * d/copyright: Update
  * d/libflatpak0.symbols: Update
  * d/libflatpak0.symbols: Reduce entropy.
    For each symbol introduced in a development branch older than the
    current one, behave as if the symbol was added in the stable release
    that followed the development branch: this will generate slightly more
    conservative dependencies. For 0.x versions, use 1.0.

 -- Simon McVittie <smcv@debian.org>  Tue, 14 Nov 2023 19:52:48 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libflatpak0`.
